Updates the specified `https://firebase.google.com/docs/reference/appcheck/rest/v1beta/projects.services#Service` configuration.

### HTTP request

`PATCH https://firebaseappcheck.googleapis.com/v1beta/{service.name=projects/*/services/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `service.name` | `string` Required. The relative resource name of the service configuration object, in the format: projects/{project_number}/services/{service_id} Note that the `service_id` element must be a supported service ID. Currently, the following service IDs are supported. Firebase and Google Cloud services: - `identitytoolkit.googleapis.com` (Firebase Authentication) - `firebasedataconnect.googleapis.com` (Firebase SQL Connect) - `firestore.googleapis.com` (Cloud Firestore) - `firebasedatabase.googleapis.com` (Firebase Realtime Database) - `firebasestorage.googleapis.com` (Cloud Storage for Firebase) - `firebaseml.googleapis.com` (Firebase AI Logic) Google Maps Platform services: - `maps-backend.googleapis.com` (Maps JavaScript API) - `places.googleapis.com` (Places API (New)) Other supported Google services: - `oauth2.googleapis.com` (Google Identity for iOS) Note: While all the supported `service_id`s may appear to be subdomains of `googleapis.com`, the `service_id` has no semantic meaning beyond identifying the service to App Check. It is not intended to represent the actual domain to which your apps send traffic, nor is it necessarily the API that should be enabled to use the service. For information on using these Google services, consult their documentation. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. A comma-separated list of names of fields in the `https://firebase.google.com/docs/reference/appcheck/rest/v1beta/projects.services#Service` to update. Example: `enforcementMode`. |

### Request body

The request body contains an instance of `https://firebase.google.com/docs/reference/appcheck/rest/v1beta/projects.services#Service`.

### Response body

If successful, the response body contains an instance of `https://firebase.google.com/docs/reference/appcheck/rest/v1beta/projects.services#Service`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/firebase`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).